Subject: Re: ARCH=ppc or ARCH=powerpc

From: Benjamin Delagoutte <[email-masked]>
Date: Thu, 24 Aug 2006 14:58:15 +0200

Le jeudi 24 août 2006 à 07:49 -0500, Josh Boyer a écrit :
> On Thu, 2006-08-24 at 05:38 -0700, Parav Pandit wrote:
> > ppc = 32bit.
> > powerpc= 64bit.
> > Correct me if I am wrong.
> 
> Yes, you're wrong.  Some 32 bit boards are also under arch/powerpc now.
> 
> >  
> > I am not sure why community didn't adopt the name ppc and ppc64 just
> > like ia-32 and ia64.
> 
> They did originally.
> 
> The new direction is to have everything under arch/powerpc, both 32 and
> 64 bit.  The reason arch/ppc still exists is because some 32 bit
> platforms have not been fully migrated to the requirements to be merged
> into arch/powerpc.  Namely, the code has to boot from an OpenFirmware
> like flattened device tree.  The PPC 4xx family of processors, as an
> example, does not do this yet though there is work going on to adapt it.

I'm currently working on a PPC 405 based developement card. Does it mean
I have to work using the arch/ppc tree ? 

What about the includes ? Do I have to use only include/asm-ppc or are
include/asm-powerpc necessary as well ?

> Eventually, arch/ppc will go away and all of PowerPC will be under
> arch/powerpc.  That's the goal anyway.
> 
> josh
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded